name: QuickCheck
version: 2.8.2
id: QuickCheck-2.8.2-HnXF0X2VHAoBkZ6B5N45ie
key: QuickCheck-2.8.2-HnXF0X2VHAoBkZ6B5N45ie
license: BSD-3-Clause
copyright: 2000-2015 Koen Claessen, 2006-2008 Björn Bringert, 2009-2015 Nick Smallbone
maintainer: QuickCheck developers <quickcheck@projects.haskell.org>
author: Koen Claessen <koen@chalmers.se>
homepage: https://github.com/nick8325/quickcheck
synopsis: Automatic testing of Haskell programs
description:
    QuickCheck is a library for random testing of program properties.
    .
    The programmer provides a specification of the program, in
    the form of properties which functions should satisfy, and
    QuickCheck then tests that the properties hold in a large number
    of randomly generated cases.
    .
    Specifications are expressed in
    Haskell, using combinators defined in the QuickCheck library.
    QuickCheck provides combinators to define properties, observe
    the distribution of test data, and define test
    data generators.
    .
    You can find a (slightly out-of-date but useful) manual at
    <http://www.cse.chalmers.se/~rjmh/QuickCheck/manual.html>.
category: Testing
abi: 7f60c5ee00de923254e9a88dbc5478fb
exposed: True
exposed-modules:
    Test.QuickCheck Test.QuickCheck.All Test.QuickCheck.Arbitrary
    Test.QuickCheck.Exception Test.QuickCheck.Function
    Test.QuickCheck.Gen Test.QuickCheck.Gen.Unsafe
    Test.QuickCheck.Modifiers Test.QuickCheck.Monadic
    Test.QuickCheck.Poly Test.QuickCheck.Property
    Test.QuickCheck.Random Test.QuickCheck.State Test.QuickCheck.Test
    Test.QuickCheck.Text
import-dirs: /usr/local/lib/ghc/QuickCheck-2.8.2
library-dirs: /usr/local/lib/ghc/QuickCheck-2.8.2
dynamic-library-dirs: /usr/local/lib/ghc/QuickCheck-2.8.2
data-dir: /usr/local/share/hs-QuickCheck-2.8.2
hs-libraries: HSQuickCheck-2.8.2-HnXF0X2VHAoBkZ6B5N45ie
depends:
    base-4.12.0.0 containers-0.6.0.1 random-1.1-3ypV4EIycgb35PKjTYYr5q
    template-haskell-2.14.0.0 tf-random-0.5-IjFVdJXpGgq3hBuRJiaT27
    transformers-0.5.6.2
haddock-interfaces: /usr/local/share/doc/hs-QuickCheck-2.8.2/html/QuickCheck.haddock
haddock-html: /usr/local/share/doc/hs-QuickCheck-2.8.2/html
